Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000755KdenliveFile Loadingpublic2009-04-09 02:502009-05-30 12:01
Reporterxzhayon 
Assigned To 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.4 
Summary0000755: segfault while playing with placeholder clips
Descriptioni get some random crashes while playing around with a placeholder video clip (not a slideshow clip), and few times just after loading the project
Steps To Reproduce1. save a project and close kdenlive
2. move at least one video file contained in the project
3. open kdenlive and load the project: when prompted about the missing file, choose "leave as placeholder"

it could crash now. if not:

4. start dragging between tracks the placeholder clip, and expect a crash
Additional Informationkdenlive(37840) CustomTrackView::mousePressEvent: mousePressEvent STARTED
kdenlive(37840) EffectStackEdit::transferParamDesc: in
kdenlive(37840) CustomTrackView::mousePressEvent: mousePressEvent STARTED
kdenlive(37840) EffectStackEdit::transferParamDesc: in
kdenlive(37840) Render::mltMoveClip: ////// LOOKING FOR CLIP TO MOVE, INDEX: 1
kdenlive(37840) MoveClipCommand::redo: ---- redoing action
kdenlive(37840) CustomTrackView::mousePressEvent: mousePressEvent STARTED
kdenlive(37840) EffectStackEdit::transferParamDesc: in
Error opening: /home/albi/kingdom_of_heaven-excl_m480.mov

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x2a501040 (LWP 100154)]
mlt_properties_fetch (this=0x0, name=0x831cdc9 "id") at mlt_properties.c:348
348 property_list *list = this->local;
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Filestxt file icon placeholder_clips-gdb.svn3265.txt [^] (2,850 bytes) 2009-04-09 02:50 [Show Content]

- Relationships

-  Notes
(0002692)
administrator (administrator)
2009-04-09 19:35

Fix committed to svn (rev. 3268)
(0002843)
xzhayon (developer)
2009-05-11 13:26

it wasn't enough, crashes were still there
just committed another fix to rev. 3372: now i can play with placeholders

the mlt::producer wasn't == NULL, so the code after that check was still executed (by the way, how can that be NULL?)
(0002877)
xzhayon (developer)
2009-05-17 15:45

fixed in rev. 3372

- Issue History
Date Modified Username Field Change
2009-04-09 02:50 xzhayon New Issue
2009-04-09 02:50 xzhayon File Added: placeholder_clips-gdb.svn3265.txt
2009-04-09 02:50 xzhayon Build/Install Method => Manual build from SVN
2009-04-09 19:35 administrator Note Added: 0002692
2009-04-09 19:35 administrator Status new => feedback
2009-05-11 13:26 xzhayon Note Added: 0002843
2009-05-17 15:45 xzhayon Note Added: 0002877
2009-05-17 15:45 xzhayon Status feedback => resolved
2009-05-17 15:45 xzhayon Fixed in Version => Recent git
2009-05-17 15:45 xzhayon Resolution open => fixed
2009-05-17 15:45 xzhayon Assigned To => xzhayon
2009-05-17 15:45 xzhayon Assigned To xzhayon =>
2009-05-30 11:58 administrator Fixed in Version Recent git => 0.7.4
2009-05-30 12:01 administrator Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker